import * as i0 from '@angular/core';
import { EventEmitter, Component, HostBinding, Input, Output, HostListener, NgModule } from '@angular/core';
import * as i1 from 'neercms/services/theme';
import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1$2 from 'neercms/services/viewport';

class ButtonComponent {
    constructor(currentElementRef, theme) {
        this.currentElementRef = currentElementRef;
        this.theme = theme;
        this.variant = 'primary';
        this.icon = '';
        this.disabled = false;
        this.onclick = new EventEmitter();
        const button = currentElementRef.nativeElement;
        button.onclick = event => {
            // Perform click action only when button is not disabled
            if (this.onclick && !this.disabled) {
                this.onclick.emit(event);
            }
        };
    }
    get class() {
        const hasContent = !!this.currentElementRef.nativeElement.querySelector('span').innerHTML;
        const disabled = this.disabled ? 'disabled' : '';
        const type = hasContent ? '' : 'icon-only';
        const outline = this.theme.currentTheme.styles?.buttons === 'filled' ? '' : '-outline';
        return `btn btn-icon btn${outline} btn${outline}-${this.variant} ${disabled} ${type}`;
    }
}
ButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ButtonComponent, deps: [{ token: i0.ElementRef }, { token: i1.ThemeService }], target: i0.ɵɵFactoryTarget.Component });
ButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: ButtonComponent, selector: "button[ncButton]", inputs: { variant: "variant", icon: "icon", disabled: "disabled" }, outputs: { onclick: "onclick" }, host: { properties: { "class": "this.class" } }, ngImport: i0, template: "<i class=\"las {{icon}}\"></i>\n<span>\n  <ng-content></ng-content>\n</span>\n", styles: [":host{display:flex!important;flex-direction:row;flex-wrap:nowrap;align-items:center;padding-right:1.25rem;cursor:pointer}:host>*{display:inline-block;cursor:pointer}:host.icon-only{padding-right:.25rem!important}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'button[ncButton]', template: "<i class=\"las {{icon}}\"></i>\n<span>\n  <ng-content></ng-content>\n</span>\n", styles: [":host{display:flex!important;flex-direction:row;flex-wrap:nowrap;align-items:center;padding-right:1.25rem;cursor:pointer}:host>*{display:inline-block;cursor:pointer}:host.icon-only{padding-right:.25rem!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i1.ThemeService }]; }, propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }], variant: [{
                type: Input
            }], icon: [{
                type: Input
            }], disabled: [{
                type: Input
            }], onclick: [{
                type: Output
            }] } });

class DropdownComponent {
    constructor() {
        this.key = '';
        this.disabled = false;
    }
}
DropdownComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DropdownComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: DropdownComponent, selector: "nc-dropdown", inputs: { key: "key", buttonIcon: "buttonIcon", buttonText: "buttonText", formFit: "formFit", disabled: "disabled" }, host: { properties: { "class.form-fit": "this.formFit" }, classAttribute: "dropdown" }, ngImport: i0, template: "<button class=\"btn btn-sm btn-secondary dropdown-button\"\n        [class.disabled]=\"disabled === true || disabled === 'true'\"\n        [id]=\"key\"\n        [attr.data-bs-toggle]=\"'dropdown'\">\n  <i *ngIf=\"!!buttonIcon\"\n     class=\"las {{buttonIcon}} dropdown-button-icon\"></i>\n  <strong class=\"dropdown-button-text\">{{buttonText}}</strong>\n</button>\n<ul class=\"dropdown-menu dropdown-menu-dark text-small\"\n    [attr.aria-labelledby]=\"key\">\n  <ng-content></ng-content>\n</ul>\n", styles: ["@keyframes fadeInDown{0%{opacity:0;transform:translate3d(0,-20px,0)}to{opacity:1;transform:translateZ(0)}}.dropdown-menu{padding:0;margin:0 0 0 1.5px!important;border-width:0;box-shadow:0 .05rem .1rem .2rem var(--shadow-color);--webkit-touch-callout: none;--webkit-user-select: none;--moz-user-select: none;--ms-user-select: none;-webkit-user-select:none;user-select:none}.dropdown-menu[data-popper-placement=top-start]{margin-bottom:16px!important;box-shadow:0 -.05rem .1rem .2rem var(--shadow-color)}.dropdown-button{padding:.25rem .5rem .25rem .9rem;border-width:1px;border-color:transparent}.dropdown-button.show,.dropdown-button:hover{border-color:var(--btn-active-border-color)}.dropdown-button:after{content:\"\";display:inline-block;width:1rem;height:100%;float:right;background-image:var(--dropdown-icon);background-position:center;background-repeat:no-repeat}.dropdown-item{padding:.25rem 1rem .25rem .9rem}.dropdown-button,.dropdown-item{height:2rem;text-align:left}.dropdown-menu{width:auto;min-width:auto;cursor:pointer}.dropdown-button-icon{font-size:1.15rem;margin-right:.2rem;vertical-align:baseline}.dropdown-button-text{padding-right:.6rem;vertical-align:text-bottom}:host.form-fit{display:block}:host.form-fit>*{width:100%}:host.form-fit .dropdown-button{background-color:var(--input-bg);color:var(--input-color);border-color:var(--input-border-color);border-width:1.6px;font-size:1rem;vertical-align:baseline;font-weight:lighter}:host.form-fit .dropdown-button:focus{border-color:var(--input-focus-border-color);box-shadow:0 0 0 1.5px var(--primary)}:host.form-fit .dropdown-button.disabled{color:var(--input-color);background-color:var(--input-disabled-bg);border-color:var(--input-disabled-border-color);opacity:100%}:host.form-fit .dropdown-button,:host.form-fit .dropdown-item{height:2.3835rem;padding-top:.4rem}:host.form-fit .dropdown-button-text{vertical-align:inherit}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-dropdown', host: {
                        class: 'dropdown',
                    }, template: "<button class=\"btn btn-sm btn-secondary dropdown-button\"\n        [class.disabled]=\"disabled === true || disabled === 'true'\"\n        [id]=\"key\"\n        [attr.data-bs-toggle]=\"'dropdown'\">\n  <i *ngIf=\"!!buttonIcon\"\n     class=\"las {{buttonIcon}} dropdown-button-icon\"></i>\n  <strong class=\"dropdown-button-text\">{{buttonText}}</strong>\n</button>\n<ul class=\"dropdown-menu dropdown-menu-dark text-small\"\n    [attr.aria-labelledby]=\"key\">\n  <ng-content></ng-content>\n</ul>\n", styles: ["@keyframes fadeInDown{0%{opacity:0;transform:translate3d(0,-20px,0)}to{opacity:1;transform:translateZ(0)}}.dropdown-menu{padding:0;margin:0 0 0 1.5px!important;border-width:0;box-shadow:0 .05rem .1rem .2rem var(--shadow-color);--webkit-touch-callout: none;--webkit-user-select: none;--moz-user-select: none;--ms-user-select: none;-webkit-user-select:none;user-select:none}.dropdown-menu[data-popper-placement=top-start]{margin-bottom:16px!important;box-shadow:0 -.05rem .1rem .2rem var(--shadow-color)}.dropdown-button{padding:.25rem .5rem .25rem .9rem;border-width:1px;border-color:transparent}.dropdown-button.show,.dropdown-button:hover{border-color:var(--btn-active-border-color)}.dropdown-button:after{content:\"\";display:inline-block;width:1rem;height:100%;float:right;background-image:var(--dropdown-icon);background-position:center;background-repeat:no-repeat}.dropdown-item{padding:.25rem 1rem .25rem .9rem}.dropdown-button,.dropdown-item{height:2rem;text-align:left}.dropdown-menu{width:auto;min-width:auto;cursor:pointer}.dropdown-button-icon{font-size:1.15rem;margin-right:.2rem;vertical-align:baseline}.dropdown-button-text{padding-right:.6rem;vertical-align:text-bottom}:host.form-fit{display:block}:host.form-fit>*{width:100%}:host.form-fit .dropdown-button{background-color:var(--input-bg);color:var(--input-color);border-color:var(--input-border-color);border-width:1.6px;font-size:1rem;vertical-align:baseline;font-weight:lighter}:host.form-fit .dropdown-button:focus{border-color:var(--input-focus-border-color);box-shadow:0 0 0 1.5px var(--primary)}:host.form-fit .dropdown-button.disabled{color:var(--input-color);background-color:var(--input-disabled-bg);border-color:var(--input-disabled-border-color);opacity:100%}:host.form-fit .dropdown-button,:host.form-fit .dropdown-item{height:2.3835rem;padding-top:.4rem}:host.form-fit .dropdown-button-text{vertical-align:inherit}\n"] }]
        }], propDecorators: { key: [{
                type: Input
            }], buttonIcon: [{
                type: Input
            }], buttonText: [{
                type: Input
            }], formFit: [{
                type: HostBinding,
                args: ['class.form-fit']
            }, {
                type: Input
            }], disabled: [{
                type: Input
            }] } });

class LoadingBarComponent {
    constructor(loader) {
        this.loader = loader;
        this.visible = true;
    }
    ngOnInit() {
        this.loader.isLoading.subscribe(value => {
            this.visible = value;
            // console.log('loader visible:', this.visible);
        });
    }
    ngOnDestroy() {
        console.log('loader destroyed');
        // this.loader.isLoading.unsubscribe();
    }
}
LoadingBarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LoadingBarComponent, deps: [{ token: i1$2.LoaderService }], target: i0.ɵɵFactoryTarget.Component });
LoadingBarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: LoadingBarComponent, selector: "nc-loading-bar", host: { properties: { "class.visible": "this.visible" } }, ngImport: i0, template: ``, isInline: true, styles: [":host{position:fixed;top:0;left:0;display:none;width:100%;height:3px;overflow:hidden;z-index:1010}:host.visible{display:block}:host:after{content:\"\";display:block;width:100%;height:100%;background-color:var(--primary);animation:indeterminateAnimation 2s infinite linear;transform-origin:0% 50%}@keyframes indeterminateAnimation{0%{transform:translate(0) scaleX(0)}40%{transform:translate(0) scaleX(.4)}to{transform:translate(100%) scaleX(.5)}}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LoadingBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-loading-bar', template: ``, styles: [":host{position:fixed;top:0;left:0;display:none;width:100%;height:3px;overflow:hidden;z-index:1010}:host.visible{display:block}:host:after{content:\"\";display:block;width:100%;height:100%;background-color:var(--primary);animation:indeterminateAnimation 2s infinite linear;transform-origin:0% 50%}@keyframes indeterminateAnimation{0%{transform:translate(0) scaleX(0)}40%{transform:translate(0) scaleX(.4)}to{transform:translate(100%) scaleX(.5)}}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$2.LoaderService }]; }, propDecorators: { visible: [{
                type: HostBinding,
                args: ['class.visible']
            }] } });

class ModalConfirmComponent {
    constructor(modals) {
        this.modals = modals;
        this.show = false;
        this.info = {
            title: 'Confirm Action',
            text: '',
            closeText: 'Close',
            closeVariant: 'secondary',
            confirmText: 'Confirm',
            confirmVariant: 'primary',
        };
    }
    ngOnInit() {
        this.modals.current.subscribe(event => {
            var _a, _b, _c, _d;
            if (!event.confirmed && !event.closed) {
                return;
            }
            this.show = true;
            this.info = event;
            (_a = this.info).closeText ?? (_a.closeText = 'Close');
            (_b = this.info).closeVariant ?? (_b.closeVariant = 'secondary');
            (_c = this.info).confirmText ?? (_c.confirmText = 'Confirm');
            (_d = this.info).confirmVariant ?? (_d.confirmVariant = 'primary');
        });
    }
    ngOnDestroy() {
        setTimeout(() => (this.show = false));
        if (this.info.closed) {
            this.info.closed();
        }
    }
    confirm() {
        setTimeout(() => (this.show = false));
        if (this.info.confirmed) {
            this.info.confirmed({ text: this.text });
        }
    }
    close() {
        setTimeout(() => (this.show = false));
        if (this.info.closed) {
            this.info.closed();
        }
    }
    enterEvent() {
        if (this.show) {
            this.confirm();
        }
    }
    escapeEvent() {
        if (this.show) {
            this.close();
        }
    }
}
ModalConfirmComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ModalConfirmComponent, deps: [{ token: i1$2.ModalsService }], target: i0.ɵɵFactoryTarget.Component });
ModalConfirmComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: ModalConfirmComponent, selector: "nc-modal-confirm", host: { listeners: { "window:keydown.Shift.Enter": "enterEvent()", "window:keyup.Escape": "escapeEvent()" }, properties: { "class.show": "this.show" }, classAttribute: "modal fade" }, ngImport: i0, template: "<div class=\"modal-dialog modal-dialog-centered\">\n  <div class=\"modal-content\">\n    <div class=\"modal-header\">\n      <h5 class=\"modal-title\">{{info.title}}</h5>\n    </div>\n    <div class=\"modal-body\">\n      <p>{{info.text}}</p>\n      <textarea *ngIf=\"info.showTextArea\"\n                class=\"form-control medium\"\n                (input)=\"text = $any($event.target).value\"></textarea>\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\"\n              class=\"btn btn-outline-{{info.closeVariant}}\"\n              data-bs-dismiss=\"modal\"\n              (click)=\"close()\">{{info.closeText}}</button>\n      <button type=\"button\"\n              class=\"btn btn-{{info.confirmVariant}}\"\n              (click)=\"confirm()\">{{info.confirmText}}</button>\n    </div>\n  </div>\n</div>\n<div class=\"backdrop\"\n     (click)=\"close()\"></div>\n", styles: [":host{z-index:1111}:host.show{display:block}:host .backdrop{position:absolute;top:0;left:0;width:100%;height:100%;background-color:var(--gray-900);opacity:50%;z-index:-1}.modal-footer *{color:var(--modal-color)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ModalConfirmComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-modal-confirm', host: {
                        class: 'modal fade',
                    }, template: "<div class=\"modal-dialog modal-dialog-centered\">\n  <div class=\"modal-content\">\n    <div class=\"modal-header\">\n      <h5 class=\"modal-title\">{{info.title}}</h5>\n    </div>\n    <div class=\"modal-body\">\n      <p>{{info.text}}</p>\n      <textarea *ngIf=\"info.showTextArea\"\n                class=\"form-control medium\"\n                (input)=\"text = $any($event.target).value\"></textarea>\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\"\n              class=\"btn btn-outline-{{info.closeVariant}}\"\n              data-bs-dismiss=\"modal\"\n              (click)=\"close()\">{{info.closeText}}</button>\n      <button type=\"button\"\n              class=\"btn btn-{{info.confirmVariant}}\"\n              (click)=\"confirm()\">{{info.confirmText}}</button>\n    </div>\n  </div>\n</div>\n<div class=\"backdrop\"\n     (click)=\"close()\"></div>\n", styles: [":host{z-index:1111}:host.show{display:block}:host .backdrop{position:absolute;top:0;left:0;width:100%;height:100%;background-color:var(--gray-900);opacity:50%;z-index:-1}.modal-footer *{color:var(--modal-color)}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$2.ModalsService }]; }, propDecorators: { show: [{
                type: HostBinding,
                args: ['class.show']
            }], enterEvent: [{
                type: HostListener,
                args: ['window:keydown.Shift.Enter']
            }], escapeEvent: [{
                type: HostListener,
                args: ['window:keyup.Escape']
            }] } });

class ToastAreaComponent {
}
ToastAreaComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ToastAreaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ToastAreaComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: ToastAreaComponent, selector: "nc-toast-area", host: { attributes: { "aria-atomic": "true", "aria-live": "polite" } }, ngImport: i0, template: "<div id=\"toasts-area\" class=\"toast-container position-fixed bottom-0 end-0 p-3\">\n</div>\n", styles: [":host{position:fixed;bottom:0;right:0;overflow:visible}.toast-container{overflow:visible}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ToastAreaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-toast-area', host: {
                        'aria-atomic': 'true',
                        'aria-live': 'polite',
                    }, template: "<div id=\"toasts-area\" class=\"toast-container position-fixed bottom-0 end-0 p-3\">\n</div>\n", styles: [":host{position:fixed;bottom:0;right:0;overflow:visible}.toast-container{overflow:visible}\n"] }]
        }] });

class CoreComponentsModule {
}
CoreComponentsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CoreComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CoreComponentsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: CoreComponentsModule, declarations: [ButtonComponent,
        DropdownComponent,
        LoadingBarComponent,
        ModalConfirmComponent,
        ToastAreaComponent], imports: [CommonModule], exports: [LoadingBarComponent,
        ButtonComponent,
        ModalConfirmComponent,
        ToastAreaComponent,
        DropdownComponent] });
CoreComponentsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CoreComponentsModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CoreComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ButtonComponent,
                        DropdownComponent,
                        LoadingBarComponent,
                        ModalConfirmComponent,
                        ToastAreaComponent,
                    ],
                    exports: [
                        LoadingBarComponent,
                        ButtonComponent,
                        ModalConfirmComponent,
                        ToastAreaComponent,
                        DropdownComponent,
                    ],
                    imports: [CommonModule],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ButtonComponent, CoreComponentsModule, DropdownComponent, LoadingBarComponent, ModalConfirmComponent, ToastAreaComponent };
//# sourceMappingURL=neercms-core.mjs.map
