import * as i0 from '@angular/core';
import { Component, Input, HostBinding, NgModule } from '@angular/core';
import * as i1$1 from 'neercms/services/storage';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/router';
import { RouterLinkWithHref, RouterLinkActive, RouterOutlet } from '@angular/router';

class AdminLayoutComponent {
}
AdminLayoutComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: AdminLayoutComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AdminLayoutComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: AdminLayoutComponent, selector: "nc-admin-layout", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, styles: [":host{display:block;padding:1rem;width:100%;height:100%;overflow-y:scroll}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: AdminLayoutComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-admin-layout', template: '<ng-content></ng-content>', styles: [":host{display:block;padding:1rem;width:100%;height:100%;overflow-y:scroll}\n"] }]
        }] });

class MainContentComponent {
}
MainContentComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: MainContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
MainContentComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: MainContentComponent, selector: "nc-main-content", ngImport: i0, template: "<ng-content></ng-content>\n", styles: [":host{display:block;height:100%}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: MainContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-main-content', template: "<ng-content></ng-content>\n", styles: [":host{display:block;height:100%}\n"] }]
        }] });

class MainHeaderComponent {
    constructor() {
        this.short = false;
    }
}
MainHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: MainHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
MainHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: MainHeaderComponent, selector: "nc-main-header", inputs: { pageTitle: "pageTitle", short: "short" }, host: { properties: { "class.short-mode": "this.short" } }, ngImport: i0, template: "<h2 [innerHTML]=\"pageTitle\"></h2>\n<div class=\"right-content\">\n  <ng-content></ng-content>\n</div>\n", styles: [":host{display:flex;flex-direction:row;flex-wrap:wrap-reverse;justify-content:space-between;row-gap:1rem;margin:.5rem 0 1.5rem 1.5rem}:host.short-mode{max-width:720px}h2{margin-bottom:0;font-weight:400}.right-content{display:flex;flex-direction:row;flex-wrap:wrap;justify-content:center;gap:.5rem}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: MainHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-main-header', template: "<h2 [innerHTML]=\"pageTitle\"></h2>\n<div class=\"right-content\">\n  <ng-content></ng-content>\n</div>\n", styles: [":host{display:flex;flex-direction:row;flex-wrap:wrap-reverse;justify-content:space-between;row-gap:1rem;margin:.5rem 0 1.5rem 1.5rem}:host.short-mode{max-width:720px}h2{margin-bottom:0;font-weight:400}.right-content{display:flex;flex-direction:row;flex-wrap:wrap;justify-content:center;gap:.5rem}\n"] }]
        }], propDecorators: { pageTitle: [{
                type: Input
            }], short: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['class.short-mode']
            }] } });

class SidebarNavigationComponent {
}
SidebarNavigationComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SidebarNavigationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SidebarNavigationComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SidebarNavigationComponent, selector: "ul[nc-navigation]", host: { classAttribute: "accordion nav nav-pills flex-column mb-auto" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SidebarNavigationComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ul[nc-navigation]',
                    template: '<ng-content></ng-content>',
                    host: {
                        class: 'accordion nav nav-pills flex-column mb-auto',
                    },
                }]
        }] });

class SidebarNavItemComponent {
    constructor() {
        this.inverse = false;
    }
    getKey(text) {
        return text.replace(' ', '-');
    }
}
SidebarNavItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SidebarNavItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SidebarNavItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SidebarNavItemComponent, selector: "li[nc-nav-item]", inputs: { item: "item", inverse: "inverse" }, ngImport: i0, template: "<ng-container *ngIf=\"item.children; else navLinkItem\">\n  <div class=\"nav-group\">\n\n    <ng-container *ngIf=\"!inverse\">\n      <ng-container *ngTemplateOutlet=\"accordionButton\"></ng-container>\n    </ng-container>\n\n    <div\n      id=\"navgrp-{{getKey(item.text)}}\"\n      class=\"accordion-flush\"\n      [class.collapse]=\"item.collapseByDefault\"\n      [class.show]=\"!item.collapseByDefault\"\n      attr.aria-labelledby=\"navgrp-{{getKey(item.text)}}\">\n      <div class=\"accordion-body\">\n        <ng-container *ngFor=\"let subItem of item.children\">\n          <a *ngIf=\"!subItem.hidden\"\n             [routerLink]=\"subItem.routerLink\"\n             [queryParams]=\"subItem.routerParams\"\n             [state]=\"subItem.stateData\"\n             routerLinkActive=\"active\"\n             class=\"nav-item nav-link\">\n            <span>\n              <i *ngIf=\"subItem.icon\" class=\"{{subItem.iconKind ?? 'las'}} {{subItem.icon}}\"></i>\n              {{subItem.text}}\n            </span>\n            <span *ngIf=\"subItem.indicator\"\n                  class=\"nav-indicator\"\n                  [attr.data-color]=\"subItem.indicator.variant\">\n              {{subItem.indicator.value}}\n            </span>\n          </a>\n        </ng-container>\n      </div>\n    </div>\n\n    <ng-container *ngIf=\"inverse\">\n      <ng-container *ngTemplateOutlet=\"accordionButton\"></ng-container>\n    </ng-container>\n\n  </div>\n</ng-container>\n\n<ng-template #navLinkItem>\n  <a *ngIf=\"!item.hidden\"\n     [routerLink]=\"item.routerLink\"\n     [queryParams]=\"item.routerParams\"\n     [state]=\"item.stateData\"\n     routerLinkActive=\"active\"\n     class=\"nav-item nav-link\">\n    <span>\n      <i *ngIf=\"!!item.icon\" class=\"{{item.iconKind ?? 'las'}} {{item.icon}}\"></i>\n      {{item.text}}\n    </span>\n    <span *ngIf=\"item.indicator\"\n          class=\"nav-indicator\"\n          [attr.data-color]=\"item.indicator.variant\">\n      {{item.indicator.value}}\n    </span>\n  </a>\n</ng-template>\n\n<ng-template #accordionButton>\n  <button type=\"button\"\n          class=\"accordion-button nav-item nav-group-header collapsed\"\n          aria-expanded=\"false\"\n          data-bs-toggle=\"collapse\"\n          [class.inverse]=\"inverse\"\n          attr.data-bs-target=\"#navgrp-{{getKey(item.text)}}\"\n          attr.aria-controls=\"navgrp-{{getKey(item.text)}}\">\n    <i *ngIf=\"!!item.icon\" class=\"{{item.iconKind ?? 'las'}} {{item.icon}}\"></i>\n    <img *ngIf=\"item.image\"\n         [src]=\"item.image\"\n         alt=\"\"\n         class=\"nav-image\"/>\n    {{item.text}}\n  </button>\n</ng-template>\n", styles: [":host{cursor:pointer}i{width:24px;margin-right:1rem;font-size:1.4rem}.nav-image{border-radius:50%;width:42px;height:42px}i,.nav-image{margin-right:1rem}.nav-item{color:var(--sidebar-color);transition:background-color .05s ease}.nav-item.active{color:var(--sidebar-active-color);background-color:var(--sidebar-active-bg)}.nav-item:hover{background-color:var(--primary)}.nav-item:hover .nav-indicator{background-color:var(--sidebar-bg);color:var(--white)}.nav-group-header{--accordion-btn-icon: var(--sidebar-menu-icon);--accordion-btn-active-icon: var(--sidebar-menu-icon);min-height:42px;padding:.5rem 1rem;background-color:transparent;color:var(--sidebar-color);border-bottom-color:transparent}.nav-group-header.inverse:after{transform:rotate(0)}.nav-group-header.inverse.collapsed:after{transform:rotate(180deg)}.nav-link{vertical-align:middle;line-height:27px;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;justify-content:space-between}.nav-group .nav-link{padding:.5rem 0 .5rem 2rem}.nav-indicator{display:block;line-height:16px;font-size:.75rem;background-color:var(--primary);padding:.08rem .2rem;margin:0 .75rem 0 0}.nav-indicator[data-color=secondary]{background-color:var(--secondary)}.nav-indicator[data-color=light]{color:var(--text-alt);background-color:var(--light)}.nav-indicator[data-color=dark]{background-color:var(--dark)}.nav-indicator[data-color=info]{color:var(--text-alt);background-color:var(--info)}.nav-indicator[data-color=success]{background-color:var(--success)}.nav-indicator[data-color=warning]{background-color:var(--warning)}.nav-indicator[data-color=danger]{background-color:var(--danger)}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i2.RouterLinkActive, selector: "[routerLinkActive]", inputs: ["routerLinkActiveOptions", "ariaCurrentWhenActive", "routerLinkActive"], outputs: ["isActiveChange"], exportAs: ["routerLinkActive"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SidebarNavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'li[nc-nav-item]', template: "<ng-container *ngIf=\"item.children; else navLinkItem\">\n  <div class=\"nav-group\">\n\n    <ng-container *ngIf=\"!inverse\">\n      <ng-container *ngTemplateOutlet=\"accordionButton\"></ng-container>\n    </ng-container>\n\n    <div\n      id=\"navgrp-{{getKey(item.text)}}\"\n      class=\"accordion-flush\"\n      [class.collapse]=\"item.collapseByDefault\"\n      [class.show]=\"!item.collapseByDefault\"\n      attr.aria-labelledby=\"navgrp-{{getKey(item.text)}}\">\n      <div class=\"accordion-body\">\n        <ng-container *ngFor=\"let subItem of item.children\">\n          <a *ngIf=\"!subItem.hidden\"\n             [routerLink]=\"subItem.routerLink\"\n             [queryParams]=\"subItem.routerParams\"\n             [state]=\"subItem.stateData\"\n             routerLinkActive=\"active\"\n             class=\"nav-item nav-link\">\n            <span>\n              <i *ngIf=\"subItem.icon\" class=\"{{subItem.iconKind ?? 'las'}} {{subItem.icon}}\"></i>\n              {{subItem.text}}\n            </span>\n            <span *ngIf=\"subItem.indicator\"\n                  class=\"nav-indicator\"\n                  [attr.data-color]=\"subItem.indicator.variant\">\n              {{subItem.indicator.value}}\n            </span>\n          </a>\n        </ng-container>\n      </div>\n    </div>\n\n    <ng-container *ngIf=\"inverse\">\n      <ng-container *ngTemplateOutlet=\"accordionButton\"></ng-container>\n    </ng-container>\n\n  </div>\n</ng-container>\n\n<ng-template #navLinkItem>\n  <a *ngIf=\"!item.hidden\"\n     [routerLink]=\"item.routerLink\"\n     [queryParams]=\"item.routerParams\"\n     [state]=\"item.stateData\"\n     routerLinkActive=\"active\"\n     class=\"nav-item nav-link\">\n    <span>\n      <i *ngIf=\"!!item.icon\" class=\"{{item.iconKind ?? 'las'}} {{item.icon}}\"></i>\n      {{item.text}}\n    </span>\n    <span *ngIf=\"item.indicator\"\n          class=\"nav-indicator\"\n          [attr.data-color]=\"item.indicator.variant\">\n      {{item.indicator.value}}\n    </span>\n  </a>\n</ng-template>\n\n<ng-template #accordionButton>\n  <button type=\"button\"\n          class=\"accordion-button nav-item nav-group-header collapsed\"\n          aria-expanded=\"false\"\n          data-bs-toggle=\"collapse\"\n          [class.inverse]=\"inverse\"\n          attr.data-bs-target=\"#navgrp-{{getKey(item.text)}}\"\n          attr.aria-controls=\"navgrp-{{getKey(item.text)}}\">\n    <i *ngIf=\"!!item.icon\" class=\"{{item.iconKind ?? 'las'}} {{item.icon}}\"></i>\n    <img *ngIf=\"item.image\"\n         [src]=\"item.image\"\n         alt=\"\"\n         class=\"nav-image\"/>\n    {{item.text}}\n  </button>\n</ng-template>\n", styles: [":host{cursor:pointer}i{width:24px;margin-right:1rem;font-size:1.4rem}.nav-image{border-radius:50%;width:42px;height:42px}i,.nav-image{margin-right:1rem}.nav-item{color:var(--sidebar-color);transition:background-color .05s ease}.nav-item.active{color:var(--sidebar-active-color);background-color:var(--sidebar-active-bg)}.nav-item:hover{background-color:var(--primary)}.nav-item:hover .nav-indicator{background-color:var(--sidebar-bg);color:var(--white)}.nav-group-header{--accordion-btn-icon: var(--sidebar-menu-icon);--accordion-btn-active-icon: var(--sidebar-menu-icon);min-height:42px;padding:.5rem 1rem;background-color:transparent;color:var(--sidebar-color);border-bottom-color:transparent}.nav-group-header.inverse:after{transform:rotate(0)}.nav-group-header.inverse.collapsed:after{transform:rotate(180deg)}.nav-link{vertical-align:middle;line-height:27px;display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;justify-content:space-between}.nav-group .nav-link{padding:.5rem 0 .5rem 2rem}.nav-indicator{display:block;line-height:16px;font-size:.75rem;background-color:var(--primary);padding:.08rem .2rem;margin:0 .75rem 0 0}.nav-indicator[data-color=secondary]{background-color:var(--secondary)}.nav-indicator[data-color=light]{color:var(--text-alt);background-color:var(--light)}.nav-indicator[data-color=dark]{background-color:var(--dark)}.nav-indicator[data-color=info]{color:var(--text-alt);background-color:var(--info)}.nav-indicator[data-color=success]{background-color:var(--success)}.nav-indicator[data-color=warning]{background-color:var(--warning)}.nav-indicator[data-color=danger]{background-color:var(--danger)}\n"] }]
        }], propDecorators: { item: [{
                type: Input
            }], inverse: [{
                type: Input
            }] } });

class SidebarComponent {
    constructor(storage) {
        this.storage = storage;
        this.collapsed = false;
        this.collapsed = this.storage.sidebarCollapsed;
    }
    toggleCollapsed() {
        this.storage.sidebarCollapsed = this.collapsed = !this.collapsed;
    }
}
SidebarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SidebarComponent, deps: [{ token: i1$1.NeerStorageService }], target: i0.ɵɵFactoryTarget.Component });
SidebarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SidebarComponent, selector: "nc-sidebar", inputs: { menuItems: "menuItems", footerMenu: "footerMenu", logoImage: "logoImage", logoTitle: "logoTitle" }, host: { properties: { "class.collapsed": "this.collapsed" } }, ngImport: i0, template: "<button class=\"sidebar-toggle-btn\" (click)=\"toggleCollapsed()\">\n  <i class=\"las la-bars\"></i>\n</button>\n\n<div class=\"sidebar-wrapper\">\n  <div class=\"sidebar-content\">\n    <div class=\"sidebar-header\">\n      <img class=\"logo-image\" [src]=\"logoImage\" alt=\"\"/>\n      <span class=\"fs-4\">{{logoTitle}}</span>\n    </div>\n\n    <hr/>\n\n    <ul nc-navigation class=\"sidebar-main\">\n      <li nc-nav-item *ngFor=\"let item of menuItems\" [item]=\"item\"></li>\n    </ul>\n\n    <hr/>\n\n    <div class=\"sidebar-footer\">\n      <ul nc-navigation class=\"sidebar-main\">\n        <li nc-nav-item [item]=\"footerMenu\" [inverse]=\"true\"></li>\n      </ul>\n      <!--  <div class=\"sidebar-version\">version \u2013 {{settings.applicationVersion}}</div>-->\n    </div>\n  </div>\n</div>\n", styles: ["@keyframes fadeInDown{0%{opacity:0;transform:translate3d(0,-20px,0)}to{opacity:1;transform:translateZ(0)}}:host{position:relative;display:block;flex-shrink:0;width:260px;height:100%;padding:1rem 0 0;color:var(--sidebar-color);background-color:var(--sidebar-bg);transition:width .5s ease}:host.collapsed{width:0px;transition:width .5s ease}:host.collapsed .sidebar-wrapper{width:0;transition:width .5s ease}:host.collapsed .sidebar-toggle-btn{right:-1.5rem}:host.collapsed .sidebar-toggle-btn i{transform:rotate(0);transition:width .5s ease}.sidebar-toggle-btn{position:absolute;top:0;right:0;border:none;outline:none;background-color:var(--sidebar-bg);width:1.5rem;height:4.25rem;color:var(--sidebar-color);padding:0 .15rem;transition:all .1s linear}.sidebar-toggle-btn i{transform:rotate(180deg);transition:all .1s linear}.sidebar-toggle-btn:hover{background-color:var(--primary);transition:all .1s linear}.sidebar-header{display:flex;flex-wrap:nowrap;align-items:center;margin:0 1rem;color:var(--sidebar-color);--webkit-touch-callout: none;--webkit-user-select: none;--moz-user-select: none;--ms-user-select: none;-webkit-user-select:none;user-select:none}.sidebar-header .logo-image{width:56px;height:32px;margin-right:1rem;object-fit:contain}.sidebar-footer{margin:0 0 1rem}hr{opacity:1;border-color:var(--sidebar-separators);border-width:2px}.sidebar-version{margin:.5rem 0;text-align:center;color:var(--sidebar-color);font-size:.8rem;opacity:25%}.sidebar-wrapper{width:260px;height:100%;overflow:hidden;transition:width .5s ease}.sidebar-content{width:260px;height:100%;display:flex;flex-direction:column}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: SidebarNavigationComponent, selector: "ul[nc-navigation]" }, { kind: "component", type: SidebarNavItemComponent, selector: "li[nc-nav-item]", inputs: ["item", "inverse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SidebarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'nc-sidebar', template: "<button class=\"sidebar-toggle-btn\" (click)=\"toggleCollapsed()\">\n  <i class=\"las la-bars\"></i>\n</button>\n\n<div class=\"sidebar-wrapper\">\n  <div class=\"sidebar-content\">\n    <div class=\"sidebar-header\">\n      <img class=\"logo-image\" [src]=\"logoImage\" alt=\"\"/>\n      <span class=\"fs-4\">{{logoTitle}}</span>\n    </div>\n\n    <hr/>\n\n    <ul nc-navigation class=\"sidebar-main\">\n      <li nc-nav-item *ngFor=\"let item of menuItems\" [item]=\"item\"></li>\n    </ul>\n\n    <hr/>\n\n    <div class=\"sidebar-footer\">\n      <ul nc-navigation class=\"sidebar-main\">\n        <li nc-nav-item [item]=\"footerMenu\" [inverse]=\"true\"></li>\n      </ul>\n      <!--  <div class=\"sidebar-version\">version \u2013 {{settings.applicationVersion}}</div>-->\n    </div>\n  </div>\n</div>\n", styles: ["@keyframes fadeInDown{0%{opacity:0;transform:translate3d(0,-20px,0)}to{opacity:1;transform:translateZ(0)}}:host{position:relative;display:block;flex-shrink:0;width:260px;height:100%;padding:1rem 0 0;color:var(--sidebar-color);background-color:var(--sidebar-bg);transition:width .5s ease}:host.collapsed{width:0px;transition:width .5s ease}:host.collapsed .sidebar-wrapper{width:0;transition:width .5s ease}:host.collapsed .sidebar-toggle-btn{right:-1.5rem}:host.collapsed .sidebar-toggle-btn i{transform:rotate(0);transition:width .5s ease}.sidebar-toggle-btn{position:absolute;top:0;right:0;border:none;outline:none;background-color:var(--sidebar-bg);width:1.5rem;height:4.25rem;color:var(--sidebar-color);padding:0 .15rem;transition:all .1s linear}.sidebar-toggle-btn i{transform:rotate(180deg);transition:all .1s linear}.sidebar-toggle-btn:hover{background-color:var(--primary);transition:all .1s linear}.sidebar-header{display:flex;flex-wrap:nowrap;align-items:center;margin:0 1rem;color:var(--sidebar-color);--webkit-touch-callout: none;--webkit-user-select: none;--moz-user-select: none;--ms-user-select: none;-webkit-user-select:none;user-select:none}.sidebar-header .logo-image{width:56px;height:32px;margin-right:1rem;object-fit:contain}.sidebar-footer{margin:0 0 1rem}hr{opacity:1;border-color:var(--sidebar-separators);border-width:2px}.sidebar-version{margin:.5rem 0;text-align:center;color:var(--sidebar-color);font-size:.8rem;opacity:25%}.sidebar-wrapper{width:260px;height:100%;overflow:hidden;transition:width .5s ease}.sidebar-content{width:260px;height:100%;display:flex;flex-direction:column}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.NeerStorageService }]; }, propDecorators: { collapsed: [{
                type: HostBinding,
                args: ['class.collapsed']
            }], menuItems: [{
                type: Input
            }], footerMenu: [{
                type: Input
            }], logoImage: [{
                type: Input
            }], logoTitle: [{
                type: Input
            }] } });

class LayoutComponentsModule {
}
LayoutComponentsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LayoutComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
LayoutComponentsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: LayoutComponentsModule, declarations: [SidebarComponent,
        SidebarNavigationComponent,
        SidebarNavItemComponent,
        MainHeaderComponent,
        MainContentComponent,
        AdminLayoutComponent], imports: [
        // Angular Core
        CommonModule,
        RouterLinkWithHref,
        RouterLinkActive,
        RouterOutlet], exports: [
        // Shared components
        SidebarComponent,
        MainHeaderComponent,
        MainContentComponent,
        AdminLayoutComponent] });
LayoutComponentsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LayoutComponentsModule, imports: [
        // Angular Core
        CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LayoutComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        SidebarComponent,
                        SidebarNavigationComponent,
                        SidebarNavItemComponent,
                        MainHeaderComponent,
                        MainContentComponent,
                        AdminLayoutComponent,
                    ],
                    exports: [
                        // Shared components
                        SidebarComponent,
                        MainHeaderComponent,
                        MainContentComponent,
                        AdminLayoutComponent,
                    ],
                    imports: [
                        // Angular Core
                        CommonModule,
                        RouterLinkWithHref,
                        RouterLinkActive,
                        RouterOutlet,
                    ],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AdminLayoutComponent, LayoutComponentsModule, MainContentComponent, MainHeaderComponent, SidebarComponent, SidebarNavItemComponent, SidebarNavigationComponent };
//# sourceMappingURL=neercms-layout.mjs.map
