import { OnChanges, OnInit, SimpleChange, SimpleChanges } from '@angular/core';
import { FormControl, FormGroupDirective } from '@angular/forms';
import { CopyPasteService } from 'neercms/services';
import { BoolInput } from 'neercms/shared/types';
import * as i0 from "@angular/core";
export declare type FormBaseChanges = SimpleChanges & {
    disabled: SimpleChange;
};
export declare abstract class FieldBaseComponent implements OnInit, OnChanges {
    label: string;
    controlName: string;
    controlUnlink: BoolInput;
    required: BoolInput;
    disabled: BoolInput;
    errors: {
        required: string;
        invalidEmail: string;
        invalidPassword: string;
    };
    formControl: FormControl;
    changed: boolean;
    focused: boolean;
    readonly copyPaste: CopyPasteService;
    readonly formGroup: FormGroupDirective;
    ngOnInit(): void;
    ngOnChanges(changes: FormBaseChanges): void;
    onChange(event?: Event): void;
    afterInit(): void;
    isTrue(bool: BoolInput): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FieldBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FieldBaseComponent, "field-base", never, { "label": "label"; "controlName": "controlName"; "controlUnlink": "controlUnlink"; "required": "required"; "disabled": "disabled"; }, {}, never, never, false>;
}
