import { EventEmitter, OnInit } from '@angular/core';
import { IOutputAreaSizes } from 'angular-split';
import { SplitOneDirective } from '../split-one.directive';
import { SplitTwoDirective } from '../split-two.directive';
import * as i0 from "@angular/core";
export declare type SplitSizes = [number, number];
export declare class SplitComponent implements OnInit {
    splitAreaOne: SplitOneDirective;
    splitAreaTwo: SplitTwoDirective;
    storageKey: string;
    sizes: SplitSizes;
    defaultSizes: SplitSizes;
    splitSizesChange: EventEmitter<SplitSizes>;
    private readonly storage;
    private readonly device;
    ngOnInit(): void;
    resize(newSizes: SplitSizes | IOutputAreaSizes): SplitSizes;
    maximizeAreaOne(): void;
    maximizeAreaTwo(): void;
    closeForm(): void;
    private setSizes;
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SplitComponent, "nc-split", never, { "storageKey": "storageKey"; "sizes": "sizes"; "defaultSizes": "defaultSizes"; }, { "splitSizesChange": "splitSizesChange"; }, ["splitAreaOne", "splitAreaTwo"], never, false>;
}
