import { DateTime } from 'luxon';
import { IDictionary } from 'neercms/shared/types';
import { Operator } from './sieve-operators';
export interface IFilterFieldInfo {
    key: string;
    op: Operator;
    val: string;
}
export declare const postfixes: {
    textOp: string;
    numOp: string;
    endPartOp: string;
    isTextOp: (op: string) => boolean;
    isNumOp: (op: string) => boolean;
    isOp: (op: string) => boolean;
    isEnd: (op: string) => boolean;
    removeOp: (op: string) => string;
    removeEnd: (op: string) => string;
};
export declare function buildFiltersQuery(options: IDictionary<string | number | DateTime>): string;
export declare function parseFiltersQuery(query: string | undefined): IFilterFieldInfo[];
